Project Chrono: chrono::ChLinkRSDA::TorqueFunctor Class Reference

Public Member Functions | List of all members
chrono::ChLinkRSDA::TorqueFunctor Class Referenceabstract

## Description

Class to be used as a callback interface for calculating the general spring-damper torque.

A derived class must implement the virtual operator().

`#include <ChLinkRSDA.h>`

Inheritance diagram for chrono::ChLinkRSDA::TorqueFunctor:
[legend]

## Public Member Functions
virtual double | evaluate (double time, double rest_angle, double angle, double vel, const ChLinkRSDA &link)=0
| Calculate and return the general spring-damper torque at the specified configuration.
virtual rapidjson::Value | exportJSON (rapidjson::Document::AllocatorType &allocator)
| Optional reporting function to generate a JSON value with functor information.

## Member Function Documentation

## ◆ evaluate()

virtual double chrono::ChLinkRSDA::TorqueFunctor::evaluate | ( | double | time,
|  | double | rest_angle,
|  | double | angle,
|  | double | vel,
|  | const ChLinkRSDA & | link )
| pure virtual

Calculate and return the general spring-damper torque at the specified configuration.

Parameters

  time | current time
  rest_angle | undeformed angle
  angle | relative angle of rotation
  vel | relative angular speed
  link | associated RSDA link

Implemented in chrono::vehicle::ChTrackAssemblySegmented::TrackBendingFunctor, chrono::vehicle::LinearDamperTorque, chrono::vehicle::LinearSpringDamperTorque, chrono::vehicle::LinearSpringTorque, chrono::vehicle::NonlinearDamperTorque, chrono::vehicle::NonlinearSpringDamperTorque, and chrono::vehicle::NonlinearSpringTorque.

## ◆ exportJSON()

virtual rapidjson::Value chrono::ChLinkRSDA::TorqueFunctor::exportJSON | ( | rapidjson::Document::AllocatorType & | allocator | ) |
| inlinevirtual

Optional reporting function to generate a JSON value with functor information.

Reimplemented in chrono::vehicle::LinearDamperTorque, chrono::vehicle::LinearSpringDamperTorque, chrono::vehicle::LinearSpringTorque, chrono::vehicle::NonlinearDamperTorque, chrono::vehicle::NonlinearSpringDamperTorque, and chrono::vehicle::NonlinearSpringTorque.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLinkRSDA.h